Tra cứu nợ
curl --request GET \
--url https://openapi.tcbs.com.vn/erebos/v2/digital/margin-info \
--header 'Authorization: Bearer <token>'import requests
url = "https://openapi.tcbs.com.vn/erebos/v2/digital/margin-info"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://openapi.tcbs.com.vn/erebos/v2/digital/margin-info', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://openapi.tcbs.com.vn/erebos/v2/digital/margin-info",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://openapi.tcbs.com.vn/erebos/v2/digital/margin-info"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://openapi.tcbs.com.vn/erebos/v2/digital/margin-info")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://openapi.tcbs.com.vn/erebos/v2/digital/margin-info")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"response": {
"totalRow": 1,
"totalPage": 6,
"data": [
{
"releaseDate": "2022-07-11",
"overDueDate": "2022-10-10",
"releasedAmount": 14444940,
"printAmount": 0,
"intAmount": 0,
"remainingInterestFee": 0,
"paidInterestFee": 18205,
"rate2": 11.5,
"releasedDay": 4,
"paidFee": 0,
"remainingFee": 0
}
]
}
}Tiền
Tra cứu nợ
Lấy thông tin dư nợ margin (lịch sử khoản vay) của tiểu khoản.
GET
/
erebos
/
v2
/
digital
/
margin-info
Tra cứu nợ
curl --request GET \
--url https://openapi.tcbs.com.vn/erebos/v2/digital/margin-info \
--header 'Authorization: Bearer <token>'import requests
url = "https://openapi.tcbs.com.vn/erebos/v2/digital/margin-info"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://openapi.tcbs.com.vn/erebos/v2/digital/margin-info', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://openapi.tcbs.com.vn/erebos/v2/digital/margin-info",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://openapi.tcbs.com.vn/erebos/v2/digital/margin-info"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://openapi.tcbs.com.vn/erebos/v2/digital/margin-info")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://openapi.tcbs.com.vn/erebos/v2/digital/margin-info")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"response": {
"totalRow": 1,
"totalPage": 6,
"data": [
{
"releaseDate": "2022-07-11",
"overDueDate": "2022-10-10",
"releasedAmount": 14444940,
"printAmount": 0,
"intAmount": 0,
"remainingInterestFee": 0,
"paidInterestFee": 18205,
"rate2": 11.5,
"releasedDay": 4,
"paidFee": 0,
"remainingFee": 0
}
]
}
}Ủy quyền
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Tham số truy vấn
Số tiểu khoản.
Từ ngày (YYYY-MM-DD).
Đến ngày (YYYY-MM-DD).
Số trang.
Kích thước trang.
Mã tài khoản lưu ký.
Phản hồi
Phản hồi thành công
Show child attributes
Show child attributes